﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<StoreCode>


@(
    Html.Grid(Model).Named("AllStoreCode").Columns(columns =>
    {
        columns.Add(x => x.Code)
            .Titled("Code")
            .Encoded(false)
            .Sanitized(false)
            .Sortable(true);

        columns.Add(x => x.Cluster.Name)
            .Titled("Cluster")
            .Encoded(false)
            .Sanitized(false)
            .Sortable(true);

        columns.Add(x => x.Name)
            .Titled("Nama Toko")
            .Encoded(false)
            .Sanitized(false)
            .Sortable(true)
            .RenderValueAs(x => x.Name);

        columns.Add(x => x.IsActive)
            .Titled("Is Active")
            .Encoded(false)
            .Sanitized(false)
            .Sortable(true);

        columns.Add()
            .Encoded(false)
            .Sanitized(false)
            .SetWidth(50)
            .Css("cell-center")
            .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.StoreCode.Edit(x.ID))  ));

        columns.Add()
            .Titled("Delete")
            .Encoded(false)
            .Sanitized(false)
            .SetWidth(50)
            .Css("cell-center")
            .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.StoreCode.Delete(x.ID)), x.Name));


    }).Filterable()
        .Sortable()
        .WithPaging(5)
      )